Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define fontpkgname tfdocgen
Name:           tfdocgen
Version:        20150202git
Release:        alt2_15
Summary:        TiLP framework documentation generator

License:        GPLv2+
URL:            https://sourceforge.net/projects/tilp/

#To get source archive, run the following commands:
# git clone git://tilp.git.sourceforge.net/gitroot/tilp/tfdocgen/ SNAPSHOT_DATE
# tar cfj tfdocgen-SNAPSHOT_DATE.tar.bz2 tfdocgen-SNAPSHOT_DATE/
Source0:        %{name}-%{version}.tar.bz2

BuildRequires:  gcc
BuildRequires:  glib2-devel libgio libgio-devel
Source44: import.info

%description
The tfdocgen program is a program used by the libti*
libraries to generate their HTML documentation from
sources and misc files. You don't need this package
unless you want to develop on the libti*2 libraries.

%prep
%setup -q

%build
%configure
%make_build

%install
make install DESTDIR=%{buildroot}

%files
%{_bindir}/tfdocgen
%{_mandir}/man1/tfdocgen.1*
%doc --no-dereference COPYING
%doc README AUTHORS ChangeLog

%changelog
* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 20150202git-alt2_15
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 20150202git-alt2_14
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 20150202git-alt2_13
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 20150202git-alt1_13
- update to new release by fcimport

* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 20150202git-alt1_12
- update to new release by fcimport

* Fri Oct 04 2019 Igor Vlasenko <viy@altlinux.ru> 20150202git-alt1_11
- new version

